DevExtreme jQuery/JS - Control the Behavior

An end user can switch the views by swiping them or selecting tabs. Note that tab navigation is always enabled, while swiping is active only on touch devices by default. To enable it on all types of devices, assign true to the swipeEnabled option. Otherwise, assign false.

JavaScript
HTML
  • $(function() {
  • $('#tabPanelContainer').dxTabPanel({
  • // ...
  • swipeEnabled: false
  • });
  • });
  • <div id="tabPanelContainer"></div>

You can switch the views progrmmatically using the selectedIndex or selectedItem option.

JavaScript
HTML
  • $(function() {
  • $('#tabPanelContainer').dxTabPanel({
  • // ...
  • selectedIndex: 1
  • });
  • });
  • <div id="tabPanelContainer"></div>

The TabPanel can loop the views, which enables an end user to swipe through the last view to the first and vice versa. Views are looped by default. To disable looping, assign false to the loop option.

JavaScript
HTML
  • $(function() {
  • $('#tabPanelContainer').dxTabPanel({
  • // ...
  • loop: false
  • });
  • });
  • <div id="tabPanelContainer"></div>

To specify whether or not to animate switching between views, use the animationEnabled option.

JavaScript
HTML
  • $(function() {
  • $('#tabPanelContainer').dxTabPanel({
  • // ...
  • animationEnabled: true
  • });
  • });
  • <div id="tabPanelContainer"></div>
See Also

DevExtreme Vue - Control the Behavior
An end user can switch the views by swiping them or selecting tabs. Note that tab navigation is always enabled, while swiping is active only on touch devices by default. To enable it on all types of devices, assign true to the swipeEnabled option. Otherwise, assign false.
- <template>
- <DxTabPanel
- :swipe-enabled="false"
- />
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import DxTabPanel from 'devextreme-vue/tab-panel';
- export default {
- components: {
- DxTabPanel
- }
- };
- </script>
You can switch the views progrmmatically using the selectedIndex or selectedItem option.
- <template>
- <DxTabPanel
- :selected-index.sync="selectedIndex"
- />
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import DxTabPanel from 'devextreme-vue/tab-panel';
- export default {
- components: {
- DxTabPanel
- },
- data() {
- return {
- selectedIndex: 1
- }
- }
- };
- </script>
The TabPanel can loop the views, which enables an end user to swipe through the last view to the first and vice versa. Views are looped by default. To disable looping, assign false to the loop option.
- <template>
- <DxTabPanel
- :loop="false"
- />
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import DxTabPanel from 'devextreme-vue/tab-panel';
- export default {
- components: {
- DxTabPanel
- }
- };
- </script>
To specify whether or not to animate switching between views, use the animationEnabled option.
- <template>
- <DxTabPanel
- :animation-enabled="true"
- />
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import DxTabPanel from 'devextreme-vue/tab-panel';
- export default {
- components: {
- DxTabPanel
- }
- };
- </script>
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme Angular - Control the Behavior
An end user can switch the views by swiping them or selecting tabs. Note that tab navigation is always enabled, while swiping is active only on touch devices by default. To enable it on all types of devices, assign true to the swipeEnabled option. Otherwise, assign false.
- <dx-tab-panel
- [swipeEnabled]="false">
- </dx-tab-panel>
- import { DxTabPanelModule } from 'devextreme-angular';
- // ...
- export class AppComponent {
- // ...
- }
- @NgModule({
- imports: [
- // ...
- DxTabPanelModule
- ],
- // ...
- })
You can switch the views progrmmatically using the selectedIndex or selectedItem option.
- <dx-tab-panel
- [(selectedIndex)]="selectedIndex">
- </dx-tab-panel>
- import { DxTabPanelModule } from 'devextreme-angular';
- // ...
- export class AppComponent {
- selectedIndex: number;
- constructor() {
- this.selectedIndex = 1;
- }
- }
- @NgModule({
- imports: [
- // ...
- DxTabPanelModule
- ],
- // ...
- })
The TabPanel can loop the views, which enables an end user to swipe through the last view to the first and vice versa. Views are looped by default. To disable looping, assign false to the loop option.
- <dx-tab-panel
- [loop]="false">
- </dx-tab-panel>
- import { DxTabPanelModule } from 'devextreme-angular';
- // ...
- export class AppComponent {
- // ...
- }
- @NgModule({
- imports: [
- // ...
- DxTabPanelModule
- ],
- // ...
- })
To specify whether or not to animate switching between views, use the animationEnabled option.
- <dx-tab-panel
- [animationEnabled]="true">
- </dx-tab-panel>
- import { DxTabPanelModule } from 'devextreme-angular';
- // ...
- export class AppComponent {
- // ...
- }
- @NgModule({
- imports: [
- // ...
- DxTabPanelModule
- ],
- // ...
- })
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Control the Behavior
An end user can switch the views by swiping them or selecting tabs. Note that tab navigation is always enabled, while swiping is active only on touch devices by default. To enable it on all types of devices, assign true to the swipeEnabled option. Otherwise, assign false.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TabPanel } from 'devextreme-react/tab-panel';
- class App extends React.Component {
- render() {
- return (
- <TabPanel
- swipeEnabled={false}
- />
- );
- }
- }
- export default App;
You can switch the views progrmmatically using the selectedIndex or selectedItem option.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TabPanel } from 'devextreme-react/tab-panel';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.state = {
- selectedIndex: 1
- }
- }
- handleOptionChange = (e) => {
- if(e.fullName === 'selectedIndex') {
- this.setState({
- selectedIndex: e.value
- });
- }
- }
- render() {
- return (
- <TabPanel
- selectedIndex={this.state.selectedIndex}
- onOptionChanged={this.handleOptionChange}
- />
- );
- }
- }
- export default App;
The TabPanel can loop the views, which enables an end user to swipe through the last view to the first and vice versa. Views are looped by default. To disable looping, assign false to the loop option.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TabPanel } from 'devextreme-react/tab-panel';
- class App extends React.Component {
- render() {
- return (
- <TabPanel
- loop={false}
- />
- );
- }
- }
- export default App;
To specify whether or not to animate switching between views, use the animationEnabled option.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TabPanel } from 'devextreme-react/tab-panel';
- class App extends React.Component {
- render() {
- return (
- <TabPanel
- animationEnabled={true}
- />
- );
- }
- }
- export default App;
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.